<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz',
        'label' => 'kanton',
        'searchFields' => 'kanton,ortsname,gdenr,gdename,plzname,latitude,longitude',
        'iconfile' => 'EXT:ig_geodata/Resources/Public/Icons/tx_iggeodata_domain_model_plz.gif'
    ],
    'types' => [
        '1' => ['showitem' => 'kanton, ortsname, gdenr, gdename, plz, plzname, latitude, longitude'],
    ],
    'columns' => [
        'kanton' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.kanton',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'ortsname' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.ortsname',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'gdenr' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.gdenr',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'gdename' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.gdename',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'plz' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.plz',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 0
            ]
        ],
        'plzname' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.plzname',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'latitude' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.latitude',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'longitude' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_geodata/Resources/Private/Language/locallang_db.xlf:tx_iggeodata_domain_model_plz.longitude',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
    
    ],
];
